Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Ubuntu User (http://www.linux-archive.org/ubuntu-user/)
-   -   Perl lib error - possible bug (http://www.linux-archive.org/ubuntu-user/282291-perl-lib-error-possible-bug.html)

"Denis V. Sysoev" 11-18-2009 07:07 AM

Perl lib error - possible bug
 
try sudo apt-get install -f

On Wed, 2009-11-18 at 02:27 -0500, Cyborg Alpha wrote:
> libio-stringy-perl

--
Denis Sysoev
PGP Key: 669B4265
Jabber : rativid@jabber.org


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Cyborg Alpha 11-18-2009 07:53 AM

Perl lib error - possible bug
 
Denis V. Sysoev wrote:
> try sudo apt-get install -f
>
> On Wed, 2009-11-18 at 02:27 -0500, Cyborg Alpha wrote:
>
>> libio-stringy-perl
>>
>
>
The result;

*name*@*name*:~$ sudo apt-get install -f
[sudo] password for *name*:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 38 not upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up libio-stringy-perl (2.110-4) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libio-stringy-perl (--configure):
subprocess installed post-installation script returned error exit status 2
Setting up libossp-uuid15 (1.6.2-0ubuntu1) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libossp-uuid15 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of libossp-uuid-perl:
libossp-uuid-perl depends on libossp-uuid15; however:
Package libossp-uuid15 is not configured yet.
dpkg: error processing libossp-uuid-perl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a
followup error from a previous failure.
Errors were encountered while processing:
libio-stringy-perl
libossp-uuid15
libossp-uuid-perl
E: Sub-process /usr/bin/dpkg returned an error code (1)
*name*@*name*:~$


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Florian Diesch 11-18-2009 11:52 AM

Perl lib error - possible bug
 
Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:

> Setting up libio-stringy-perl (2.110-4) ...
>
> dpkg (subprocess): unable to execute installed post-installation script:
> Exec format error
>
> dpkg: error processing libio-stringy-perl (--configure):
>
> subprocess installed post-installation script returned error exit status 2

Which version of Ubuntu are you using?
What does
file /var/lib/dpkg/info/libio-stringy-perl.postinst
print?



Florian
--
<http://www.florian-diesch.de/software/shell-scripts/>

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Cyborg Alpha 11-18-2009 10:09 PM

Perl lib error - possible bug
 
Florian Diesch wrote:
> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>
>
>> Setting up libio-stringy-perl (2.110-4) ...
>>
>> dpkg (subprocess): unable to execute installed post-installation script:
>> Exec format error
>>
>> dpkg: error processing libio-stringy-perl (--configure):
>>
>> subprocess installed post-installation script returned error exit status 2
>>
>
> Which version of Ubuntu are you using?
> What does
> file /var/lib/dpkg/info/libio-stringy-perl.postinst
> print?
>
>
>
> Florian
>
-----
Ubuntu is current (installed last week, updated this week via , "update
& notification jobs"


*name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
/var/lib/dpkg/info/libio-stringy-perl.postinst: empty




--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Florian Diesch 11-19-2009 12:10 AM

Perl lib error - possible bug
 
Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:

> Florian Diesch wrote:
>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>
>>
>>> Setting up libio-stringy-perl (2.110-4) ...
>>>
>>> dpkg (subprocess): unable to execute installed post-installation script:
>>> Exec format error
>>>
>>> dpkg: error processing libio-stringy-perl (--configure):
>>>
>>> subprocess installed post-installation script returned error exit status 2
>>>
>>
>> Which version of Ubuntu are you using?
>> What does
>> file /var/lib/dpkg/info/libio-stringy-perl.postinst
>> print?
>
> *name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
> /var/lib/dpkg/info/libio-stringy-perl.postinst: empty

This shouldn't be empty. Running
sudo apt-get clean; sudo apt-get install --reinstall libio-stringy-perl
should fix it.


Florian
--
<http://www.florian-diesch.de/software/pdfrecycle/>

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Cyborg Alpha 11-19-2009 01:03 AM

Perl lib error - possible bug
 
Florian Diesch wrote:
> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>
>
>> Florian Diesch wrote:
>>
>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>
>>>
>>>
>>>> Setting up libio-stringy-perl (2.110-4) ...
>>>>
>>>> dpkg (subprocess): unable to execute installed post-installation script:
>>>> Exec format error
>>>>
>>>> dpkg: error processing libio-stringy-perl (--configure):
>>>>
>>>> subprocess installed post-installation script returned error exit status 2
>>>>
>>>>
>>> Which version of Ubuntu are you using?
>>> What does
>>> file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>> print?
>>>
>> *name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
>> /var/lib/dpkg/info/libio-stringy-perl.postinst: empty
>>
>
> This shouldn't be empty. Running
> sudo apt-get clean; sudo apt-get install --reinstall libio-stringy-perl
> should fix it.
>
>
> Florian
>
-------

*name*@*name*:~$ sudo apt-get clean
[sudo] password for *name*:
*name*@*name*:~$ sudo apt-get install --reinstall libio-stringy-perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not
upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up libio-stringy-perl (2.110-4) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libio-stringy-perl (--configure):
subprocess installed post-installation script returned error exit status 2
Setting up libossp-uuid15 (1.6.2-0ubuntu1) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libossp-uuid15 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of libossp-uuid-perl:
libossp-uuid-perl depends on libossp-uuid15; however:
Package libossp-uuid15 is not configured yet.
dpkg: error processing libossp-uuid-perl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a
followup error from a previous failure.
Errors were encountered while processing:
libio-stringy-perl
libossp-uuid15
libossp-uuid-perl
E: Sub-process /usr/bin/dpkg returned an error code (1)
*name*@*name*:~$

*name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
/var/lib/dpkg/info/libio-stringy-perl.postinst: empty


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Florian Diesch 11-19-2009 09:45 PM

Perl lib error - possible bug
 
Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:

> Florian Diesch wrote:
>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>
>>
>>> Florian Diesch wrote:
>>>
>>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>>
>>>>
>>>>
>>>>> Setting up libio-stringy-perl (2.110-4) ...
>>>>>
>>>>> dpkg (subprocess): unable to execute installed post-installation script:
>>>>> Exec format error
>>>>>
>>>>> dpkg: error processing libio-stringy-perl (--configure):
>>>>>
>>>>> subprocess installed post-installation script returned error exit status 2
>>>>>
>>>>>
>>>> Which version of Ubuntu are you using?
>>>> What does
>>>> file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>>> print?
>>>>
>>> *name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>> /var/lib/dpkg/info/libio-stringy-perl.postinst: empty
>>>
>>
>> This shouldn't be empty. Running
>> sudo apt-get clean; sudo apt-get install --reinstall libio-stringy-perl
>> should fix it.
>
> *name*@*name*:~$ sudo apt-get clean
> [sudo] password for *name*:
> *name*@*name*:~$ sudo apt-get install --reinstall libio-stringy-perl
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not
> upgraded.
> 3 not fully installed or removed.
> After this operation, 0B of additional disk space will be used.
> Do you want to continue [Y/n]? y
> Setting up libio-stringy-perl (2.110-4) ...
> dpkg (subprocess): unable to execute installed post-installation script:
> Exec format error

Try to remove libio-stringy-perl and then install it again.


Florian
--
<http://www.florian-diesch.de/software/easygconf/>

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Cyborg Alpha 11-20-2009 01:12 AM

Perl lib error - possible bug
 
Florian Diesch wrote:
> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>
>
>> Florian Diesch wrote:
>>
>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>
>>>
>>>
>>>> Florian Diesch wrote:
>>>>
>>>>
>>>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>> Setting up libio-stringy-perl (2.110-4) ...
>>>>>>
>>>>>> dpkg (subprocess): unable to execute installed post-installation script:
>>>>>> Exec format error
>>>>>>
>>>>>> dpkg: error processing libio-stringy-perl (--configure):
>>>>>>
>>>>>> subprocess installed post-installation script returned error exit status 2
>>>>>>
>>>>>>
>>>>>>
>>>>> Which version of Ubuntu are you using?
>>>>> What does
>>>>> file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>>>> print?
>>>>>
>>>>>
>>>> *name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>>> /var/lib/dpkg/info/libio-stringy-perl.postinst: empty
>>>>
>>>>
>>> This shouldn't be empty. Running
>>> sudo apt-get clean; sudo apt-get install --reinstall libio-stringy-perl
>>> should fix it.
>>>
>> *name*@*name*:~$ sudo apt-get clean
>> [sudo] password for *name*:
>> *name*@*name*:~$ sudo apt-get install --reinstall libio-stringy-perl
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not
>> upgraded.
>> 3 not fully installed or removed.
>> After this operation, 0B of additional disk space will be used.
>> Do you want to continue [Y/n]? y
>> Setting up libio-stringy-perl (2.110-4) ...
>> dpkg (subprocess): unable to execute installed post-installation script:
>> Exec format error
>>
>
> Try to remove libio-stringy-perl and then install it again.
>
>
> Florian
>
remove==
----
*name*@*name*:~$ sudo apt-get remove --remove libio-stringy-perl
[sudo] password for ch3:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
libio-stringy-perl
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
3 not fully installed or removed.
After this operation, 360kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 193359 files and directories currently installed.)
Removing libio-stringy-perl ...
dpkg (subprocess): unable to execute installed pre-removal script: Exec
format error
dpkg: error processing libio-stringy-perl (--remove):
subprocess installed pre-removal script returned error exit status 2
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error while cleaning up:
subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
libio-stringy-perl
E: Sub-process /usr/bin/dpkg returned an error code (1)

==re-install
--------

*name*@*name*:~$ sudo apt-get install --reinstall
libio-stringy-perl
Reading package lists...
Done
Building dependency
tree
Reading state information...
Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not
upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up libio-stringy-perl (2.110-4) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libio-stringy-perl (--configure):
subprocess installed post-installation script returned error exit status 2
Setting up libossp-uuid15 (1.6.2-0ubuntu1) ...
dpkg (subprocess): unable to execute installed post-installation script:
Exec format error
dpkg: error processing libossp-uuid15 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of libossp-uuid-perl:
libossp-uuid-perl depends on libossp-uuid15; however:
Package libossp-uuid15 is not configured yet.
dpkg: error processing libossp-uuid-perl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a
followup error from a previous failure.
Errors were encountered while processing:
libio-stringy-perl
libossp-uuid15
libossp-uuid-perl
E: Sub-process /usr/bin/dpkg returned an error code (1)


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Cyborg Alpha 11-20-2009 07:55 AM

Perl lib error - possible bug
 
Florian Diesch wrote:
> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>
>
>> Florian Diesch wrote:
>>
>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>
>>>
>>>
>>>> Florian Diesch wrote:
>>>>
>>>>
>>>>> Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>> Setting up libio-stringy-perl (2.110-4) ...
>>>>>>
>>>>>> dpkg (subprocess): unable to execute installed post-installation script:
>>>>>> Exec format error
>>>>>>
>>>>>> dpkg: error processing libio-stringy-perl (--configure):
>>>>>>
>>>>>> subprocess installed post-installation script returned error exit status 2
>>>>>>
>>>>>>
>>>>>>
>>>>> Which version of Ubuntu are you using?
>>>>> What does
>>>>> file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>>>> print?
>>>>>
>>>>>
>>>> *name*@*name*:~$ file /var/lib/dpkg/info/libio-stringy-perl.postinst
>>>> /var/lib/dpkg/info/libio-stringy-perl.postinst: empty
>>>>
>>>>
>>> This shouldn't be empty. Running
>>> sudo apt-get clean; sudo apt-get install --reinstall libio-stringy-perl
>>> should fix it.
>>>
>> *name*@*name*:~$ sudo apt-get clean
>> [sudo] password for *name*:
>> *name*@*name*:~$ sudo apt-get install --reinstall libio-stringy-perl
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not
>> upgraded.
>> 3 not fully installed or removed.
>> After this operation, 0B of additional disk space will be used.
>> Do you want to continue [Y/n]? y
>> Setting up libio-stringy-perl (2.110-4) ...
>> dpkg (subprocess): unable to execute installed post-installation script:
>> Exec format error
>>
>
> Try to remove libio-stringy-perl and then install it again.
>
>
> Florian
>
Associated with the problem, (in Synaptic Package Manager)
----
E: libio-stringy-perl: subprocess installed post-installation script
returned error exit status 2

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

Florian Diesch 11-20-2009 03:40 PM

Perl lib error - possible bug
 
Cyborg Alpha <cyborg.alpha.v1@gmail.com> writes:


> *name*@*name*:~$ sudo apt-get remove --remove libio-stringy-perl
> [sudo] password for ch3:
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
> libio-stringy-perl
> 0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
> 3 not fully installed or removed.
> After this operation, 360kB disk space will be freed.
> Do you want to continue [Y/n]? y
> (Reading database ... 193359 files and directories currently installed.)
> Removing libio-stringy-perl ...
> dpkg (subprocess): unable to execute installed pre-removal script: Exec
> format error

Did you have a crash or file system problems lately?

Run
echo '#!/bin/sh' |sudo tee /var/lib/dpkg/info/libio-stringy-perl.prerm

remove and install libio-stringy-perl again.




Florian
--
<http://www.florian-diesch.de/software/shell-scripts/>

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users


All times are GMT. The time now is 10:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.